<template>
  <div class="dashboard-investmentss-page pt-3 pb-5">
    <h1 class="page-title">Investment History</h1>
    <div class="mt-3">
      <!-- <div class="d-flex justify-content-end">
        <button class="btn btn-primary">Download Statement</button>
      </div> -->
      <div class="row mt-3">
        <div class="col-sm-12 col-12">
          <table
            class="table investments-table table-borderless position-relative"
            ref="content"
          >
            <tr>
              <th v-for="(head, i) in tableHead" :key="i">
                {{ head }}
              </th>
            </tr>
            <tr v-for="(investment, i) in investments" :key="i">
              <td class="fw-bold bg-white">{{ i + 1 }}</td>
              <td class="bg-white text-capitalize">
                {{ investment.investmentPlan.name }}
              </td>
              <td class="bg-white text-capitalize">
                {{ investment.duration }}
              </td>
              <td class="bg-white text-capitalize">
                {{ investment.initialDeposit | formatPrice }}
              </td>
              <td class="bg-white text-capitalize">
                {{ investment.interestAmount | formatPrice }}
              </td>
              <td class="bg-white text-capitalize">
                {{ investment.interestRate }} %
              </td>
              <td class="bg-white text-capitalize">
                {{ investment.maturityDate }}
              </td>
              <td class="bg-white">
                <span
                  v-if="investment.status === 'active'"
                  class="badge rounded-pill px-4 py-3 bg-success"
                  >{{ investment.status }}</span
                >
                <span v-else class="badge rounded-pill px-4 py-3 bg-danger">{{
                  investment.status
                }}</span>
              </td>
              <td class="bg-white text-capitalize">
                {{ investment.totalAmount | formatPrice }}
              </td>
            </tr>
          </table>
          <div
            class="text-center my-3"
            v-if="!investments.length && !contentLoading"
          >
            <h3>No investments History</h3>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'dashboard',
  components: {},
  data: () => ({
    tableHead: [
      'S/N',
      'Investment',
      'Duration',
      'Initial Deposit',
      'Interest Amount',
      'Interest Rate',
      'Maturity Date',
      'Status',
      'Total Amount',
    ],
    page: 1,
    perPage: 10,
    totalPages: 1,
    contentLoading: false,
    investments: [],
  }),
  watch: {
    page(value) {
      this.fetchData(value, this.perPage)
    },
  },
  mounted() {
    this.fetchData(this.page, this.perPage)
  },
  methods: {
    async fetchData(page, perPage) {
      const loading = this.$vs.loading({
        target: this.$refs.content,
        color: 'primary',
        scale: 2,
      })
      try {
        this.contentLoading = true
        const { payload } = await this.$axios.$get(
          `/investment/user/history?page=${page}&limit=${perPage}`
        )
        loading.close()
        this.investments = payload.data
        this.totalPages = payload.totalPages
        this.contentLoading = false
      } catch (error) {
        loading.close()
        this.contentLoading = false
      }
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}

.dashboard-investmentss-page {
  .investments-details-card {
    background: #ffffff;
    border-radius: 20px;
    min-height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  table {
    th {
      background: rgb(241, 237, 229);
      padding: 20px;
    }
    td {
      padding: 20px;
    }
    th:first-child {
      border-radius: 20px 0px 0px 0px;
    }

    th:last-child {
      border-radius: 0px 20px 0px 0px;
    }
  }
}
</style>
